<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'} ">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-row">
        <div class="layui-col-md12">
            <div class="layui-card">
                <div class="layui-card-body"   id="dataTableBox">
                    <div class="test-table-reload-btn" style="margin-bottom: 10px;">
                        <div class="layui-inline">
                            <input type="text" id="keywords" class="layui-input search-item" placeholder="输入关键字">
                        </div>
                        <div class="layui-inline layui-form search-item">
                            <select id="bigdataModuleLink" name="bigdataModuleLink" lay-search>
                                <option value="">联动支持</option>
                                <option value="0"  >不支持</option>
                                <option value="mapLink"  >此模块为地图联动源</option>
                                <option value="dateLink"  >此模块为时间联动源</option>
                                <option value="selectLink"  >此模块为选项联动源</option>
                            </select>
                        </div>
                        <div class="layui-inline layui-form search-item" id="bigdataModuleTypeBox" lay-filter="bigdataModuleTypeBox"></div>
                        <button type="button" id="search" class="layui-btn layui-btn-sm">
                            <i class="fa fa-lg fa-search"></i> 搜索
                        </button>
                    </div>
                    <table class="layui-hide" id="dataTable" lay-filter="dataTable"></table>
                    <!-- 表头按钮组 -->
                    <script type="text/html" id="headerToolBar">
                        <div class="layui-btn-group">
                            <button type="button" class="layui-btn layui-btn-normal layui-btn-sm" lay-event="updateEvent">
                                <i class="fa fa-lg fa-check"></i> 确定选择
                            </button>
                        </div>
                    </script>
                </div>
            </div>
        </div>
    </div>
</div>
<script id="bigdataModuleTypeTemplate" type="text/html">
    <select id="bigdataModuleType" name="bigdataModuleType">
        <option value="">模块类型</option>
        {{# for(var i = 0, item; item = d[i++];) { }}
        <option value="{{item.dictionaryId}}">{{item.dictionaryName}}</option>
        {{# } }}
    </select>
</script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/'
    }).extend({
        index: 'lib/index'
    }).use(['index', 'table', 'laydate', 'laytpl', 'common', 'form'], function() {
        var $ = layui.$;
        var $win = $(window);
        var table = layui.table;
        var admin = layui.admin;
        var laydate = layui.laydate;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var common = layui.common;
        var resizeTimeout = null;
        var tableUrl = 'api/bigdatamodule/listpagebigdatamodule?bigdataModuleSwitch=1';
        var viewer = new Viewer(document.getElementById("dataTableBox"), {navbar: false});

        var initImageTimeout;
        // 初始化表格
        function initTable() {
            table.render({
                elem: '#dataTable',
                id: 'dataTable',
                url: top.restAjax.path(tableUrl, []),
                width: admin.screen() > 1 ? '100%' : '',
                height: $win.height() - 90,
                limit: 20,
                limits: [20, 40, 60, 80, 100, 200],
                toolbar: '#headerToolBar',
                defaultToolbar: [],
                request: {
                    pageName: 'page',
                    limitName: 'rows'
                },
                cols: [
                    [
                        {type:'checkbox', fixed: 'left'},
                        {field:'rowNum', width:80, title: '序号', fixed: 'left', align:'center', templet: '<span>{{d.LAY_INDEX}}</span>'},
                        {field: 'bigdataModulePhoto', width: 200, title: '模块预览', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                var img = '<img id="' + rowData + '" src="route/file/download/false/' + rowData  + '" align="加载失败" lay-event="bigdataModulePhotoImageEvent">';
                                if(initImageTimeout) {
                                    clearTimeout(initImageTimeout);
                                }
                                initImageTimeout = setTimeout(function() {
                                    viewer.update();
                                }, 500);
                                return img;
                            }
                        },{field: 'bigdataModuleCode', width: 100, title: '模块编码', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'bigdataModuleName', width: 200, title: '模块名称', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'bigdataModuleTypeDictionaryName', width: 200, title: '模块类型', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field:'templateContentButton',fixed: 'right', width:150, title: '模块代码', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                return '<a href="javascript:void(0);" class="layui-btn layui-btn-xs layui-btn-radius"  lay-event="moduleContentEvent">编辑模块代码</a>';
                            }
                        }
                    ]
                ],
                page: true,
                parseData: function(data) {
                    return {
                        'code': 0,
                        'msg': '',
                        'count': data.total,
                        'data': data.rows
                    };
                }
            });
        }
        // 重载表格
        function reloadTable(currentPage) {
            table.reload('dataTable', {
                url: top.restAjax.path(tableUrl, []),
                where: {
                    keywords: $('#keywords').val(),
                    startTime: $('#startTime').val(),
                    endTime: $('#endTime').val(),
                    bigdataModuleLink:  $('#bigdataModuleLink').val(),
                    bigdataModuleType: $('#bigdataModuleType').val()
                },
                page: {
                    curr: currentPage
                },
                height: $win.height() - 90,
            });
        }

        // 初始化模块类型下拉选择
        function initBigdataModuleTypeSelect() {
            top.restAjax.get(top.restAjax.path('api/data/listbyparentid/e5078e2b-fa0e-41c8-9b3a-9dcec1ff8855', []), {}, null, function(code, data, args) {
                laytpl(document.getElementById('bigdataModuleTypeTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('bigdataModuleTypeBox').innerHTML = html;
                });
                form.render('select', 'bigdataModuleTypeBox');
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 表格行中按钮事件
        table.on('tool(dataTable)', function(obj) {
            var layEvent = obj.event;
            var data = obj.data;
            if(layEvent === 'moduleContentEvent') {
                top.dialog.open({
                    url: top.restAjax.path('route/bigdatamodule/updatebigdatamodulecontentview?bigdataModuleId={bigdataModuleId}', [data.bigdataModuleId]),
                    title: data.bigdataModuleName,
                    width: '100%',
                    height: '100%',
                    onClose: function() {
                        reloadTable();
                    }
                });
            }
        });


        initTable();


        // 事件 - 页面变化
        $win.on('resize', function() {
            clearTimeout(resizeTimeout);
            resizeTimeout = setTimeout(function() {
                reloadTable();
            }, 500);
        });
        // 事件 - 搜索
        $(document).on('click', '#search', function() {
            reloadTable(1);
        });

        // 事件 - 增删改
        table.on('toolbar(dataTable)', function(obj) {
            var layEvent = obj.event;
            var checkStatus = table.checkStatus('dataTable');
            var checkDatas = checkStatus.data;
            if(layEvent === 'updateEvent') {
                if(checkDatas.length === 0) {
                    top.dialog.msg(top.dataMessage.table.selectEdit);
                } else if(checkDatas.length > 1) {
                    top.dialog.msg(top.dataMessage.table.selectOneEdit);
                } else {
                    if(checkDatas.length === 0) {
                        top.dialog.msg("请选择要使用的模块");
                    } else if(checkDatas.length > 1) {
                        top.dialog.msg("只能选择一个模块");
                    } else {
                        top.dialog.dialogData.bigdataModuleId = checkDatas[0].bigdataModuleId;
                        top.dialog.dialogData.bigdataModuleName = checkDatas[0].bigdataModuleName;
                        top.dialog.dialogData.bigdataModuleCode = checkDatas[0].bigdataModuleCode;
                        top.dialog.dialogData.bigdataModuleModuleJson = checkDatas[0].bigdataModuleModuleJson;
                        top.dialog.dialogData.bigdataModuleServerJson = checkDatas[0].bigdataModuleServerJson;
                        top.dialog.dialogData.bigdataModuleLink = checkDatas[0].bigdataModuleLink;
                        closeBox();
                    }
                }
            }
        });
        initBigdataModuleTypeSelect();

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }
    });
</script>
</body>
</html>